package serializer

import (
	"fmt"
	"fonchain-artshow/cmd/model"
	"fonchain-artshow/pb/artShow"
)

func BuildSaleAddressRpc(in []*model.SaleAddress) (out *artShow.SaleAddressRes) {
	out = new(artShow.SaleAddressRes)
	for i := 0; i < len(in); i++ {
		fmt.Println(in[i])
		out.Address = append(out.Address, &artShow.SaleAddress{
			Address: in[i].Address,
			StoreID: in[i].StoreID,
		})
	}
	return
}
